# Admin Module

import es, popuplib, cmdlib, cfglib

dm = es.import_addon('dm')
delay = dm.delay


def load():
    cmdlib.registerSayCommand('!dmadmin', cmd_adminMenu, 'Deathmatch Admin Menu')
    
def unload():
    cmdlib.unregisterSayCommand('!dmadmin')
    
def checkPop(p):
    if popuplib.exists(p): popuplib.delete(p)
    
def cmd_adminMenu(userid, args):
    if dm.isAuthed(userid):
        p = popuplib.easymenu('dm_admin_main_%s', None, mainSelect)
        p.settitle('Deathmatch Admin')
        if spawn_player:
            p.addoption(1, 'Spawn Player')
        if change_team:
            p.addoption(2, 'Set player team')
            
        p.send(userid)
        
    else:
        tell(userid, 'You don\'t have access')
        
def mainSelect(userid, choice, popupname):
    checkPop(popupname)
    
    if choice == 1:
        p = popuplib.easymenu(popupname, None, spawnSelect)
        p.settitle('Select Player')
        for i in es.getUseridList():
            p.addoption(i, es.getplayername(i))
        p.send(userid)
        
    elif choice == 2:
        p = popuplib.easymenu(popupname, None, teamSelect)
        p.settitle('Select Player')
        for i in es.getUseridList():
            p.addoption(i, es.getplayername(i))
        p.send(userid)
        
        
        
def spawnSelect(userid, choice, popupname):
    if es.exists('userid', choice):
        dm.respawn(userid)
    else:
        tell(userid, 'Respawn Error - Cannot find player')
        
    p = popuplib.find(popupname)
    if p:
        p.send(userid)
        
def teamSelect(userid, choice, popupname):
    if es.exists('userid', choice):
        team = 5-es.getplayerteam(choice)
        dm.changeTeam(userid, team)
    else:
        tell(userid, 'Respawn Error - Cannot find player')
        
    p = popuplib.find(popupname)
    if p:
        p.send(userid)
    
        
        
        
    
